Name: idesk
Version: 0.3.5
Release: alt8
Serial: 1

Summary: Icon manager with support for PNG icons and antialiased text
Summary(ru_RU.KOI8-R):     PNG    
License: BSD License
Group: Graphical desktop/Other
Url: http://freshmeat.net/projects/%name/
Packager: Anton V. Denisov <avd@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: %name.menu
Source2: EXAMPLE.ideskrc
Source3: EXAMPLE.iconfile
Source4: README.ALT.ru_RU.KOI8-R
Source5: README.ALT.ru_RU.CP1251
Source6: start%name

Patch0: %name-0.3.5-alt-src-clickinterval.patch
Patch1: %name-0.3.5-alt-src-shutdown.patch
Patch2: %name-0.3.5-alt-xft2.patch
Patch3: %name-0.3.5-alt-include.patch
Patch4: %name-0.3.5-alt-utf8.patch
Patch5: %name-0.3.5-d_ovechkin-fix-fdleak.patch
Patch6: %name-0.3.5-kvinokurov-dblclick.patch

Requires: xterm menu-icons-default >= 0.1-alt2
Requires(post,postun): menu

# Automatically added by buildreq on Sun May 02 2004
BuildRequires: XFree86-devel fontconfig-devel freetype2-devel gcc-c++ imlib-devel libjpeg-devel libpng-devel libstdc++-devel libtiff-devel libungif-devel zlib-devel

%description
%name plops icons down on your root window (desktop).
It includes support for PNG alpha layers, and pretty antialiased text with Xft.
..
NOTE: Look to README.ALT file for description of usage.

%description -l ru_RU.KOI8-R
%name       ().
  PNG        
 Xft.
..
:    README.ALT   .

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%__cp %SOURCE2 EXAMPLE.ideskrc
%__cp %SOURCE3 EXAMPLE.iconfile
%__cp %SOURCE4 README.ALT.ru_RU.KOI8-R
%__cp %SOURCE5 README.ALT.ru_RU.CP1251

%build
%make_build

%install
%__mkdir_p %buildroot%_x11bindir
%__install -pD -m 755 %name %buildroot%_x11bindir/%name
%__install -pD -m 644 %SOURCE1 %buildroot%_menudir/%name
%__install -pD -m 755 %SOURCE6 %buildroot%_x11bindir/start%name

%post
%update_menus

%postun
%clean_menus

%files
%doc README EXAMPLE.* README.ALT.*
%_x11bindir/*
%_menudir/%name

%changelog
* Sun May 02 2004 Anton V. Denisov <avd@altlinux.org> 1:0.3.5-alt8
- fixed path for icon in 'startidesk' script.
- added Requires: menu-icons-default >= 0.1-alt2 acordingly.
- updated BuildRequires in ALT Linux Sisyphus (20040402) env.

* Thu Oct 09 2003 Anton V. Denisov <avd@altlinux.org> 1:0.3.5-alt7
- idesk-0.3.5-kvinokurov-dblclick.patch added (now we can launch
	programs by single-click on icon,
	thanks to Konstantin Vinokurov).
- README.ALT.*, EXAMPLE.ideskrc and start%name updated accordingly.

* Mon Jun 23 2003 Anton V. Denisov <avd@altlinux.org> 1:0.3.5-alt6
- added bugfix patch from Dmitry Ovechkin <garuda(AT)newmail.ru>.
- s/$RPM_BUILD_ROOT/%%buildroot/g in spec file.

* Thu May 22 2003 Anton V. Denisov <avd@altlinux.org> 1:0.3.5-alt5
- minor fixes in start%name script.
- %name-0.3.5-alt-utf8.patch added (now we can use russian titles
	in UTF-8 encoding,
	thanks to Alexandr R.Ogurtzov <isa(AT)mercuri.mk.ua>).
- README.ALT.* updated.

* Tue Mar 25 2003 Anton V. Denisov <avd@altlinux.org> 1:0.3.5-alt4
- start%name script added (now we provide a default configuration
	at first startup).
- %name.menu updated to use start%name.
- added Requires(post,postun): menu (for %%{clean,update}_menus).
- added Requires: XFree86-utils xterm (for start%name script).
- README.ALT updated.
- TODO: incorporate patches from http://linuxhelp.hn.org/%name.php

* Fri Dec 06 2002 Anton V. Denisov <avd@altlinux.ru> 1:0.3.5-alt3
- %name-0.3.5-alt-src-clickinterval.patch fixed (hope now it work
	like must).
- %name-0.3.5-alt-xft2.patch improved (now we use optimization
	flags from rpm).
- Serial:1 added.
- BuildRequires updated for current Sisyphus (thanks to AEN).

* Thu Nov 21 2002 AEN <aen@altlinux.ru> 0.3.5-alt2
- Patch2 for libXft2 support added
- Patch3 -- compile fix

* Thu Nov 21 2002 Anton V. Denisov <avd@altlinux.ru> 0.3.5-alt1
- New version 0.3.5.
- README.ALT updated, renamed and converted into CP1251 too.
- Patches regenerated for new version.
- EXAMPLE.iconfile added.
- Summary and description translated to Russian.
- Url fixed.
- BuildRequires updated.

* Fri Sep 20 2002 Anton V. Denisov <avd@altlinux.ru> 0.22-alt2
- README.ALT added (description of our patches).
- %name-0.22-alt-src-shutdown.patch added (doubleclick of 3rd
mouse button now shutdown idesk).

* Tue Sep 17 2002 Anton V. Denisov <avd@altlinux.ru> 0.22-alt1
- Initial release for Sisyphus.

